Bigtop
  1. Bigtop
  2. BIGTOP-23

Out of heap errors when building pig

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 0.1.0
    • Component/s: debian, rpm
    • Labels:
      None

      Description

      Pig builds tend to fail due to heap space running out during cocoon. Looks like specifying -Xmx in ANT_OPTS would be a good idea.

      1. BIGTOP-23-mk2.diff
        2 kB
        Andrew Bayer
      2. BIGTOP-23.diff
        1 kB
        Andrew Bayer

        Activity

        Hide
        Edward J. Yoon added a comment -

        +1

        Show
        Edward J. Yoon added a comment - +1
        Hide
        Roman Shaposhnik added a comment -

        +1

        Show
        Roman Shaposhnik added a comment - +1
        Hide
        Andrew Bayer added a comment -

        Switching to pig 0.9.0 worked - only problem I ran into was that the default version in the pig 0.9.0 tarball was actually 0.9.1-SNAPSHOT. =) So I had to modify the spec and rules files (and in the case of the rules files, I also had to modify package.mk to be sure the base version's actually available during the .deb build) to specify -Dversion=(pig base version variable from bigtop.mk). No heap barfs now!

        Show
        Andrew Bayer added a comment - Switching to pig 0.9.0 worked - only problem I ran into was that the default version in the pig 0.9.0 tarball was actually 0.9.1-SNAPSHOT. =) So I had to modify the spec and rules files (and in the case of the rules files, I also had to modify package.mk to be sure the base version's actually available during the .deb build) to specify -Dversion=(pig base version variable from bigtop.mk). No heap barfs now!
        Hide
        Andrew Bayer added a comment -

        Yeah, this doesn't fix it - this is actually PIG-1508, which didn't make it into 0.8.1, I guess? Let me see how the build works overall with 0.9.0.

        Show
        Andrew Bayer added a comment - Yeah, this doesn't fix it - this is actually PIG-1508 , which didn't make it into 0.8.1, I guess? Let me see how the build works overall with 0.9.0.
        Hide
        Bruno Mahé added a comment -

        Has this ptch been tested?

        I tried with 1.5Gb and had issues.
        But somehow we got it working on the ec2 slaves we used at the beginning. It was related to jdk5/forrest 0.8. But I tried again and got some issues as well.

        Show
        Bruno Mahé added a comment - Has this ptch been tested? I tried with 1.5Gb and had issues. But somehow we got it working on the ec2 slaves we used at the beginning. It was related to jdk5/forrest 0.8. But I tried again and got some issues as well.
        Hide
        Peter Linnell added a comment -

        +1 LGTM. Only question is 512M enough memory?

        Show
        Peter Linnell added a comment - +1 LGTM. Only question is 512M enough memory?

          People

          • Assignee:
            Andrew Bayer
            Reporter:
            Andrew Bayer
          • Votes:
            2 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development